
   @PRODUCT Revision History  @{r74}@{d}@{_}


   Only general availability versions are listed.


   *** Version 2.61

      Build 10 [21/11/1998]

      	*  Initial release.

      Build 11 [26/11/1998]

        *  ARJ/2 2.61.10 would cause exception 0Dh if  ARJ$DISP is killed
           from the task list.
        *  The "clear screen" ANSI sequence now works.

      Build 13 [13/12/1998]

        *  "ARJ M" fixup.
        *  Decreased the size of EXEs.
        *  ARJ/2 now also works under Windows NT.

      Build 14 [31/12/1998]

        *  Minor fixes.


   *** Version 2.62

      Build 2 [09/01/1999]

        *  Minor fixes in the message section.
        *  ARJSFX  now properly supports the "-!" option.

      Build 3 [12/01/1999]

        *  ARJ/2  v  2.62   crashed  under   Windows  NT  when   creating
           directories.
        *  ARJSFX/ARJSFXV might come into loop on some LFN archives.
        *  ARJ/2 might crash if LFN goes beyond 131 characters.

      Build 4 [24/02/1999]

        *  Various problems with ANSI comments were fixed.
        *  Some documentation enhancements.

      Build 5 [01/05/1999]

        *  ARJSFXV v 2.62c has been introduced.

      Build 7 [23/08/1999]

        *  "ARJ i" reported damage in earlier versions of ARJ/2.
        *  Modified file seek logic for newer IFS.
        *  The ARJ/2 distribution archive is now ARJ-SECURED.

      Build 9 [04/09/1999]

        *  Fixed header comment corruption problem.
        *  Fixed problem with free space detection  on FAT volumes larger
           than 1G.
        *  Enabled custom environment variable setting (-+).
        *  Added support for spaces in filenames.
        *  Changed default extension to lowercase ".arj".
        *  Resurrected the -& error handling option.
        *  Volume labels are now saved and restored.
        *  The "-h2" group of switches has been renamed to "-2" (although
           old names may still be used).
        *  Removed  Windows NT host OS stamping to avoid confusion with
           native ARJ32 archives.
        *  Packaged a full set of accompanying utilities.

      Build 10 [15/09/1999]

        *  Timestamps are now restored upon directory creation.
        *  Added support for extended attributes to ARJ and ARJSFXV.
        *  Fixed a problem with directories being mishandled by ARJSFXV.

      Build 12 [26/09/1999]

        *  Added check for encryption when creating SFX archives.
        *  Fixed chapter mark creation with EAs enabled.
        *  Fixed to allow commenting of any ARJ chapters.
        *  Added check for files larger than 2 gigabytes.
        *  Fixed volume handling of "hollow" archives ("-j#").
        *  Fixed handling  of encrypted  and dual-name  archives with the
           "j" and "y" commands.
        *  Disabled volume prompting when a volume is not an ARJ archive.
        *  Changed multi-volume  function to automatically handle volumes
           over 99.
        *  Implemented inline ARJ-PROTECT storage as in ARJ32 v 3.02.


   *** Version 2.70

      Build 1 [08/10/1999]

        *  Changed error message display.
        *  Fixed to work in xterm of XFree86 for OS/2.
        *  Fixed possible loop when -hk is used with multivolume option.
        *  Fixed a problem with temporary archive not being deleted when
           no files are added.

      Build 2 [25/10/1999]

        *  Fixed date/time stamping in ARJSFXJR.
        *  Fixed recursive repacking in REARJ.
        *  Added custom -h# format feature.
        *  Added comment compatibility option.

      Build 4 [06/11/1999]

        *  Added day number option to -h#.
        *  Fixed extracted file postprocessing.
        *  Added automatic testing of ungarbled archives.
        *  Fixed chapter command parsing from the configuration file.
        *  Implemented default configuration file lookup.
        *  Fixed garble password prompting.
        *  Corrected to work with EXT2FS.IFS.

      Build 5 [31/12/1999]

        *  Fixed rare "Can't find ..." errors when parsing list file.
        *  The SFX executables are now compressed with standard EXEPACK.
        *  Introduced new ARJ registration scheme.
        *  Added ARJ.KEY registration file lookup.
        *  Fixed "clear to end of line" ANSI sequence handling.
        *  Fixed "Out of memory" errors appearing after a long sequence of
           archive volumes.
        *  Fixed abnormal effects when extracting damaged archives.
        *  Fixed timestamp handling during extraction.
        *  Fixed recursive verification with /G in REARJ.
        *  REARJ/2 has been updated to version 2.42.

      Build 7 [06/01/2000]

        *  Minor optimizations of the compression procedure.
        *  Added .LONGNAME EA to filename conversion on archiving.
        *  The "/J" option was not properly working in registered REARJ/2.

      Build 8 [07/01/2000]

        *  Fixed a problem with valid registration  keys being rejected by
           ARJ/2.


   *** Version 2.71

      Build 1 [19/03/2000]

        *  Changed "-ha" option to skip read-only attributes on packing.
        *  Fixed century display for dates beyond 2000.
        *  Added "-2k" switch to skip century display in list commands.
        *  Fixed parsing of "-v...K" and "-v...M" size modifiers.
        *  Fixed license information display in ARJSFXJR.
        *  Changed REGISTER.EXE to use "-arj" and "-arj32" options instead
           of "-all".
        *  Changed the  meaning of  the "-s" option  of ARJSFXV to  enable
           file sharing.
        *  Added an alternate multivolume archive naming feature.

      Build 2 [25/03/2000]

        *  Fixed file handle deficiency (occured in 2.70.09 and 2.71.01).

      Build 3 [29/03/2000]

        *  Fixed abnormal behavior of -b and -b2 switches.

      Build 5 [27/06/2000]

        *  Minor fixes and modifications.


   *** Version 2.72

      Build 6 [18/08/2000]

        *  Commercial versions now never expire.
        *  Fixed  a minor  cosmetic  display  issue when  using  the "-t1"
           option.
        *  Fixed abnormal handling of "-*".
        *  Fixed damaged archives resulting from -m4.
        *  Added option checks when modifying an  existing self-extracting
           archive.
        *  Modified ARJ version messages for compatibility with Winzip.
        *  Fixed multiple volume diskette updating to work properly when a
           work directory is specified.
        *  Fixed rare  issue of ARJ building  an empty archive as the last
           of a series of volumes.
        *  Fixed  the ARJSFX  self-extractor  to  detect  and  display  an
           ARJ-SECURITY envelope.
        *  Fixed the "jc" extract count  option to work with  volume split
           files.
        *  Fixed a  problem  using "-js"  in  ARJ_SW/ARJ32_SW  and on  the
           command line.
        *  Changed the  "l"ist  command to  show " 00" for  year  2000 and
           "100" for year 2100.
        *  Added a "-2k1" switch for non-ambiguous date formatting.
        *  Added  "-hy1"  and "-hy2" options  to force  OEM/ANSI  codepage
           settings.
        *  Fixed  garbling  to  accept  "-hg"  when  garbling an  existing
           ungarbled archive.
        *  Modified help display not to display milestone indicators.
        *  ARJCRYPT has been updated to version 2.1.


   *** Version 2.73

      Build 1 [19/08/2000]

        *  Fixed looping on self-pointing headers.
        *  Minor changes in the message section.
        *  Added "-" symbol option to  configuration file to work like "+"
           symbol except with prepending of its associated switch string.
        *  Fixed  volume  size  handling  during update  of  ARJ-PROTECTED
           volumes.
        *  Corrected total file count output on list command.
        *  Fixed the purging "k" of chapter volumes.
        *  Fixed volume series breakups.
        *  Fixed a problem with the "-vw" option when updating a volume.
        *  Fixed alignment on verbose list command.
        *  Corrected "-i3" and  "-i6" total percentage counts for multiple
           volumes.
        *  Fixed the "-jc" extract count option to terminate prompting for
           unneeded volumes.
        *  Fixed looping when using "-va" on large partitions.


   *** Version 2.75/3.08

      Build 1 [09/09/2000]

        *  Official release.

      Build 7 [20/10/2000]

        *  Fixed processing of volumes beyond 99 in ARJSFXV.

      Build 14 [31/12/2000]

        *  Fixed intermittent traps on startup of ARJSFXV.
        *  Split the README into separate documents.
        *  Fixed a problem with the "-vw" option looping.
        *  Fixed a "-i3"/"-i6" milestone percentage problem with the "-vw"
           option.
        *  Fixed the "Y" command to allow "-hk" and "-g" simultaneously.
        *  Changed "-q" option to NOT continue to query  about  extracting
           subsequent sections of a split file.

      Build 15 [09/01/2001]

        *  Added  the "-2f" option to  disable  comments for  all but  the
           first volume.

      Build 16 [15/01/2001]

        *  Fixed  volume  size  parsing  when specified  with "-vxxxK"  or
           "-vxxxM".

      Build 17 [05/02/2001]

	*  Fixed overwriting of existing EAs in 32-bit OS/2 version.

      Build 19 [07/04/2001]

        *  Fixed displaying files with ARJ p -ja.
        *  Fixed possible errors on termination of ARJSFX/ARJSFXV.

      Build 21 [04/06/2001]

        *  Fixed handling of the /A option in REARJ.
        *  Fixed volume size calculation problems of version 2.75.19.


   *** Version 2.76/3.09

      Build 4 [21/06/2001]

        *  Raised the filelist limit in commercial versions.
        *  Changed  the   storage  order  of   subdirectories   to  retain
           timestamps on extraction.
        *  Added a free memory check for DOS version.
        *  Fixed  the "r" command to  remove paths  properly in  dual-name
           archives.
        *  Fixed an error processing directories with very long filenames.
        *  Fixed ARJSFXV to NOT beep when using  options to inhibit volume
           prompting.
        *  Fixed  ARJSFXV to  work  with  an  archive  that  contains  the
           encryption module.

      Build 5 [24/06/2001]

        *  Changed  order  of  password  prompt  in  the  multiple  volume
           self-extractors.

      Build 6 [15/08/2001]

        *  Fixed the launching of DOS archivers from REARJ.
        *  ARJSFX now automatically enables the OS/2 VIO ANSI  support for
           comments.
        *  Fixed error messages appearing when -hk is used with -va.
        *  Added an option to specify priority deltas.
        *  Made some performance enhancements to the -m4 extractor.

      Build 7 [25/08/2001]

        *  Added the ability to handle the newer timestamp format.


   *** Version 2.77/3.10

      Build 1 [01/09/2001]

        *  ARJDISP is now being called instead  of ARJ$DISP as the display
           front-end.
        *  ARJ.CFG syntax was enhanced to allow comments ('#' as the first
           character on a line).
        *  Preliminary support for UNIX-like platforms.
        *  REARJ has been enhanced with a "T" modifier.
        *  Fixed the parsing of -t1g.
        *  Specifying -t0 on  extraction will retain  the 8th  bit in text
           files.

      Build 3 [07/09/2001]

        *  Fixed file mode conversion to the DOS format.
        *  Fixed ARJCRYPT incompatibility.
        *  Fixed deletion of special files.
        *  Fixed "-2a" to work correctly with the ".*" files.
        *  Fixed DOS->UNIX timestamp conversions.

      Build 4 [09/09/2001]

        *  Fixed -hk protection block size calculation.
        *  Fixed the updating of archives with extended headers.

      Build 5 [15/09/2001]

        *  Fixed the display of archive dates in DOS and OS/2 versions.

      Build 6 [23/10/2001]

        *  Fixed the handling of "-2f".
        *  Removed the dependence on /usr/bin path in UNIX platforms.
        *  Changed the names of configuration files in  home directory to
           be prepended with a period ('.').


   *** Version 2.78/3.10

      Build 1 [27/03/2002]

        *  Fixed  the "-i5" indicator to  show correct  percentage  at the
           beginning of each file.

      Build 2 [08/04/2002]

        *  Official Open Source release.

      Build 4 [15/05/2002]

        *  Fixed storage of modification time in the main archive header.
        *  Fixed handling of "+" and "-" modifiers in ARJ.CFG.

      Build 5 [06/07/2002]

        *  Fixed timestamp handling.
        *  Fixed crash at  startup  when "ARJ Q" is invoked with  no other
           arguments.
        *  Added "-d1" and "-d2" options.

      Build 6 [14/12/2002]

        *  Fixed "Out of memory" type errors  during  startup on UNIX-like
           systems.

      Build 7 [25/01/2003]

        *  Fixed ARJCRYPT key generation.
        *  Added preliminary support for Win32 platform.

      Build 8 [07/02/2003]

        *  Under  UNIX-like  platforms,  /usr/local  is  now  the  default
           installation path.
        *  "-jp" automatically determines  the  screen height in DOS, OS/2
           and Win32 rather than assuming 25 lines.
        *  REARJ updated  to 2.43  (allows  arbitrary  order of parameters
           within the configuration file).
        *  Fixed looping on symlinked directories without "-a1".
        *  Added the "-2b" parameter.
        *  Fixed to display error messages properly under Win32.

      Build 10 [03/04/2003]

        *  Added "-2r" parameter to maintain the directory archiving order
           known from previous releases of ARJ.

      Build 11 [06/04/2003]

        *  Fixed the  inability  to  process deep  directory  trees  under
           32-bit OS/2.

      Build 12 [12/04/2003]

        *  Fixed  an  incompatibility  of  the  strong  encryption  across
           various versions of ARJ.

      Build 13 [11/05/2003]

        *  Changed  the OS/2 version to  use the  same canonical  wildcard
           matching logic as under Win32.
        *  Fixed the inability to pause output with "-jp".
        *  Fixed encryption with passwords longer than 32 characters using
           "-hg".
        *  ARJ will now display the ARJ-PROTECT redundancy factor.
        *  Fixed the operation of "arj o" command.

      Build 15 [30/06/2003]

        *  Fixed REARJ terminating  with an  error when the  configuration
           file is padded with blank lines.
        *  Fixed the "-i" overall  progress  indicators  to  not count the
           skipped files.
        *  Fixed "-2b" which would  skip two  files at  once if the  first
           file file was surrounded by symlinks.
        *  Fixed to ignore symlink access attributes upon extraction.
        *  Fixed the EA size being displayed twice as large on OS/2-32.
        *  Fixed various problems with updating extended headers.

      Build 17 [14/09/2003]

        *  Added the "-2o2" attribute to store both UID and GID.
        *  Reverted to  system default  archive attributes under UNIX-like
           systems.

      Build 18 [16/10/2003]

        *  Fixed ARJSFX attribute calculation under UNIX-like systems.

      Build 19 [21/02/2004]

        *  The "More" prompt is suppressed when "arj -?" is redirected.
        *  "-t1g" replaces the non-trivial "-t1gf".
        *  Corrected lookup for arjcrypt.so on UNIX-like platforms.
        *  Fixed invalid filenames appearing when  archiving with "-2l" on
           platforms without extended attribute support.
        *  Added  the "-_" parameter to  convert filenames  into lowercase
           upon archiving and extraction.

      Build 20 [18/04/2004]

        *  Removed the compulsory newline insertion into last positions of
           "-jz" comment files.
        *  "-jb" failed to recall the requested chapters.

      Build 21 [18/06/2004]

        *  The registration program ran errorneously on most platforms.
        *  Fixed  OEM/ANSI   conversion  for  filenames   with  high-ASCII
           specified from command-line under Win32.
        *  Copying  temporary  files with "-jt"  enabled might result in a
           "CRC error".
        *  Added the "-2i" parameter  to permit arbitrary data  before the
           archive proper.
        *  Introduced  new  modifiers  (G/T/P/E)  and  hexadecimal  prefix
           format to numeric parameters.
        *  "ARJ p" failed  to bring  the standard output  into binary mode
           under 32-bit OS/2.

      Build 22 [23/06/2005]

        *  Corrected wrong timestamping of chapters and archive headers in
           OS/2-32 and Win32 versions.
        *  Fixed TAB character handling in archive/comment display.


      End of document
